Skip to main content
POST
Create, link, or convert a giving institution

Authorizations

Authorization
string
header
required

Passport bearer token authentication for legacy admin sessions.

Path Parameters

hysform_id
integer
required

Hysform id in the current organization.

Body

application/json

Validated request fields for this operation.

At least one organization selection is required. Additional fields are used only for a new manual record.

existing_donor_id
integer
required

Existing donor id. Validation: nullable, integer, required_without_all:catalog_key,organization_name.

Example:

1

catalog_key
string | null

Catalog key. Validation: nullable, string, max:64, required_without_all:organization_name,existing_donor_id.

Maximum string length: 64
Example:

"example-foundation"

organization_name
string | null

Organization name. Validation: nullable, string, max:255, required_without_all:catalog_key,existing_donor_id.

Maximum string length: 255
Example:

"Example Giving Foundation"

role
enum<string> | null

Role. Validation: nullable; allowed values: daf_sponsor, ira_custodian.

Available options:
daf_sponsor,
ira_custodian,
null
Example:

"daf_sponsor"

street
string | null

Street. Validation: nullable, string, max:255.

Maximum string length: 255
Example:

"Street"

address_line2
string | null

Address line2. Validation: nullable, string, max:255.

Maximum string length: 255
Example:

"Address Line2"

city
string | null

City. Validation: nullable, string, max:255.

Maximum string length: 255
Example:

"City"

state
string | null

State. Validation: nullable, string, max:255.

Maximum string length: 255
Example:

"State"

zip
string | null

Zip. Validation: nullable, string, max:50.

Maximum string length: 50
Example:

"Zip"

country
string | null

Country. Validation: nullable, string, max:255.

Maximum string length: 255
Example:

"Country"

Response

Existing institution reused or converted.

data
object
created
boolean
Example:

true